Subject: Re: [Autoconf] Autoconf Digest, Vol 25, Issue 8

From: "Hasnaa Moustafa" <[email-masked]>
Date: Wed, 20 Feb 2008 22:29:42 +0100

Hi,

I also agree that the issue of the border router choice (although it's
importance) should not be in the PS draft.

Kind Regards,
Hassnaa

------------------------------
Date: Wed, 20 Feb 2008 18:02:23 +0100
From: "Francisco J. Ros" <[email-masked]>
Subject: Re: [Autoconf] AUTOCONF Problem Statement: reviews needed.
To: [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain;  charset="iso-8859-1"

Hi Simone, all,

I've been following the discussion and tend to agree with Carlos. In my
opinion, the MNR can configure as many prefixes as are available for each of
its interfaces. Then, the selection of one border router or another
according
to a given metric (e.g. hop count) is a routing issue not related to
autoconf. The source address selection policy should then take into account
the border router which is being used in order to avoid the ingress
filtering
issue.

I don't think the P-S is the right place to discuss this, although I don't
have a strong feeling on this either.

Regards,
fran

On Wednesday 20 February 2008 17:39, Simone Ruffino wrote:
<snip>
> Carlos Jes?s Bernardos Cano wrote:
> > [Carlos] I think this problem/scenario also happens in non-MANET
> > scenarios (it's a multihoming issue) and it is not particular of IP
> > address autoconfiguration. I agree is a very interesting issue, but I'm
> > not sure the IP autoconf PS is the right place. The only specific issue
> > I see there is how to detect that an initially multihomed subordinate
> > MANET gets disconnected from one of the external networks it was
> > attached to, and even in this case, this also occurs in non-MANETs.
>
> I respectfully don't agree.
> MANET has specific problems, deriving from the fact that routers can
> dynamically change topology (which usually does not happen in wired
> networks....): the choice of a random prefix (from a pool of available
> prefixes) by an MNR could, one minute later, cause severe performance
> degradation to hosts.
> This of course cannot be avoided in single-border-router scenarios, but,
> if multiple border routers are available, this CAN be avoided, with
> proper prefix selection mechanisms.
>
> So, I think that (as with DHCP) the question is: are existing solutions
> able to cope with specific MANET environment, ... including here the
> fact that there is a Big difference between a three-hop path and a
> four-hop path .... :) ?
>

--
Francisco J. Ros, Ph.D. Student
Dept. of Information and Communications Engineering
University of Murcia, Murcia (Spain)

http://masimum.inf.um.es/fjrm/
_______________________________________________
Autoconf mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/autoconf